Create Task

Create a new task.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
number
required
Body Params
string
required
string
assignees
array of integers
assignees
boolean
group_assignees
array of strings

Assign multiple user groups to the task.

group_assignees
tags
array of strings
tags
string
integer | null
integer
boolean
integer
integer
boolean
number

Add Sprint Points to the task.

boolean

If notify_all is true, the creator of the task will also be notified. Other assignees and watchers are always notified regardless of this setting.

string | null

You can create a subtask by including an existing task ID.

The parent task ID you include can be a subtask, but must be in the same List specified in the path parameter.

string

Markdown formatted description for the task. If both markdown_content and description are provided, markdown_content will be used instead of description.

string | null
boolean

When creating a task via API any required Custom Fields are ignored by default (false).

You can enforce required Custom Fields by including check_required_custom_fields: true.

custom_fields
array

You can include one or more Custom Fields to set them when creating a new task.

Custom Fields that use object and array type values are nullable by sending "value": null.

custom_fields
number

The custom task type ID for this task. A value of 0 (default) creates a standard task type "Task".

To get a list of available custom task type IDs for your Workspace, use the Get Custom Task Types endpoint.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json